import { ConfigurationService } from '../configuration/configuration.service';
export declare class SettingService {
    private configurationService;
    private configuration;
    private cache;
    constructor(configurationService: ConfigurationService);
    private init;
    private getKey;
    hasKey(key: string | object): Promise<boolean>;
    set(key: string | object, value: any, args?: any): Promise<void>;
    get(key: string | object, args?: any): Promise<any>;
    remove(key: string | object, args?: any): Promise<void>;
}
